<?php
$target = 'nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Zonas/zona_urbana.php");
$conexionObj = new conexion();
$conexionObj->conectarse();
$nombrepagina = "SINCRONIZA GENERAL";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);
    ?>
    <CENTER>
        <form action="" method="POST" name="backup">
            <table width="300" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Sincronzia Base de Datos General ::..</div></td>
                </tr>
                <tr class="miTable_tr">
                    <td width="180" valign=top height="42" class=miTable_td2>
                        Orden:</td>
                    <td width="150" valign=top height="42" class="miTable_td">
                        <input type="text" name="norden" value="<? echo $norden ?>" class="inputbox" size="25">
                    </td>
                </tr>

                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Buscar" value="Sincronizar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </CENTER>
    <?
    if (!isset($Buscar)) {
        
    } else {
        $norden = trim($norden);
        $rst_validar = $conexionObj->consultar("SELECT count(*) FROM guias_proceso WHERE orden='" . $norden . "' and especial10!='' and ciudad!='' and id_estado=15");
        if (mysql_num_rows($rst_validar) <= 0) {
            $msgBOX2 = "Numero de orden no se encuentra en el Sistema.";
            echo "<script>
                                    alert('$msgBOX2');
	  		  	</script>";
        } else {
            $curactualiza = mysql_fetch_array($rst_validar);
            $cnt = $curactualiza[0];
            ?>
            <CENTER>
                <table width="300" border="0" class="primaria">
                    <form action="" method="POST" name="backup">
                        <tr class=miTable_tr>
                            <td colspan="2" class=miTable_th1><div align="center">..:: Direccion ::..</div></td>
                        </tr>

                        <tr class="miTable_tr">
                            <td width="150" valign=top height="42" class=miTable_td2>
                                Cantidad Por Actualizar:</td>
                            <td width="250" valign=top height="42" class="miTable_td">
                                <input type="text" readonly size="10" name="cnt" class="inputbox" value="<? echo $cnt; ?>">
                                <input type="hidden" size="100" name="actguia" value="<? echo $_POST['norden']; ?>" class="inputbox" >
                            </td>
                        </tr>


                        <tr class=miTable_tr>
                            <td class=miTable_th1 colspan="2">
                                <div align="center">
                                    <input type="submit" name="editar" value="Actualizar" class="inputbox">
                                </div>
                            </td>
                        </tr>
                    </form>
                </table>

                <?
            }
        }



        if (isset($editar)) {

            $orden_s = $_POST['actguia'];

            IF (!EMPTY($orden_s)) {
                $rst_contar = $conexionObj->consultar("select count(*) from general");
                $curcuenta = mysql_fetch_array($rst_contar);
                $cnt_ant = $curcuenta[0];


                $rst_validar = $conexionObj->consultar("insert into general (dir_original,dir_normal,ciudad) 
                                             (select direccion,especial10,ciudad from guias_proceso where orden='" . $orden_s . "'
                                                 and especial10!='' and ciudad!='' and id_estado=15) ON DUPLICATE KEY UPDATE dir_normal_act=''");
                
                $rst_contar = $conexionObj->consultar("select count(*) from general");
                $curcuenta = mysql_fetch_array($rst_contar);
                $cnt_desp = $curcuenta[0];
                $cnt_ins=$cnt_desp-$cnt_ant;               
                $msgBOX=$cnt_ins.' Predios nuevos.';                                
                echo "<script>
                                    alert('$msgBOX');
	  		  	</script>";
               
            } else {
                $msgBOX2 = "El Numero de orden es obligatorio.";
                echo "<script>
                                    alert('$msgBOX2');
	  		  	</script>";
            }
        }
        mostrar_pie();
    }
    echo"</td>";
    echo"</tr>";
    echo"</table>";
    echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
    echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
    echo"<tr>";
    ?>
    <td>
    <center>
        <?
        pie_de_pagina();
        ?>
    </center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
